/**
 * CWaiting - 等待中
 * @author Tevin
 */

<template>
    <AtModal
        class="c-waiting"
        v-show="isOpened"
        :isOpened="isOpened"
        :closeOnClickOverlay="false"
    >
        <AtModalContent>
            <AtActivityIndicator />
            <view
                class="title"
                v-if="title"
            >{{title}}</view>
            <view
                v-if="sub"
                class="sub m-text-warning"
            >{{sub}}</view>
        </AtModalContent>
    </AtModal>
</template>

<script>
import Taro from '@tarojs/taro';
import { AtModal, AtModalContent, AtActivityIndicator } from 'taro-ui-vue';
import './cWaiting.scss';

export default {
    name: 'CWaiting',
    components: {
        AtModal,
        AtModalContent,
        AtActivityIndicator,
    },
    props: {
        // 是否显示
        isOpened: Boolean,
        // 标题
        title: String,
        // 次标题
        sub: String,
        // 次标题颜色类型
        subType: {
            type: String,
            default: 'warning',
        },
    },
    methods: {},
};
</script>